Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.trmi
Class _TrmiTransactionManager_Stub

    java.lang.Object
      org.omg.CORBA.portable.ObjectImpl
          org.omg.CORBA_2_3.portable.ObjectImpl
              javax.rmi.CORBA.Stub
                  com.atomikos.icatch.trmi._TrmiTransactionManager_Stub

All Implemented Interfaces:
  CompositeTransactionServer, ParticipantServer, RecoveryServer, Serializable, Remote, Object

    public class _TrmiTransactionManager_Stub

extends Stub
implements CompositeTransactionServer, ParticipantServer, RecoveryServer

See Also:
  Serialized Form

Constructor Summary
`_TrmiTransactionManager_Stub()`

Method Summary
`String[]` | `_ids()`
`com.atomikos.icatch.trmi.RecoveryCoordinatorProxy` | `addParticipant(Participant arg0, String arg1)` Add a new participant to the transaction of the given tid.
`void` | `addSubTxAwareParticipant(SubTxAwareParticipant arg0, String arg1)` Add a subtx aware participant to the given tx.
`HeuristicMessage[]` | `commit(String arg0)` Commit the participant of the given root, after prepare was sent.
`HeuristicMessage[]` | `commitOnePhase(String arg0, int arg1, Dictionary arg2)` Perform one-phase commit for the given root.
`void` | `forget(String arg0)` Forget all about a given root.
`int` | `prepare(String arg0, int arg1, Dictionary arg2)` Prepare the participant of the given root.
`Boolean` | `replayCompletion(String arg0, Participant arg1)` Replay completion for given root, on given participant.
`HeuristicMessage[]` | `rollback(String arg0)` Rollback the participant for the given root.

Methods inherited from class javax.rmi.CORBA.Stub
`connect, equals, hashCode, toString`

Methods inherited from class org.omg.CORBA_2_3.portable.ObjectImpl
`_get_codebase`

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### _TrmiTransactionManager_Stub

    public _TrmiTransactionManager_Stub()

Method Detail

### _ids

    public String[] _ids()

  Specified by:
    `_ids` in class `ObjectImpl`

### addParticipant

    public com.atomikos.icatch.trmi.RecoveryCoordinatorProxy addParticipant(Participant arg0,
                                                                            String arg1)
                                                                     throws RemoteException

  Description copied from interface: `CompositeTransactionServer`
  Add a new participant to the transaction of the given tid.

  Specified by:
    `addParticipant` in interface `CompositeTransactionServer`
  Returns:
    RecoveryCoordinatorProxy Whom to ask for indoubt timeout resolution.
  Throws:
    `RemoteException`

### addSubTxAwareParticipant

    public void addSubTxAwareParticipant(SubTxAwareParticipant arg0,
                                         String arg1)
                                  throws RemoteException

  Description copied from interface: `CompositeTransactionServer`
  Add a subtx aware participant to the given tx.

  Specified by:
    `addSubTxAwareParticipant` in interface `CompositeTransactionServer`
  Parameters:
    `arg0` - The participant to add, will be notified on end().
    `arg1` - The ID of the transaction to which the participant must be added.
  Throws:
    `RemoteException`

### commit

    public HeuristicMessage[] commit(String arg0)
                              throws HeurHazardException,
                                     HeurMixedException,
                                     HeurRollbackException,
                                     RollbackException,
                                     RemoteException

  Description copied from interface: `ParticipantServer`
  Commit the participant of the given root, after prepare was sent.

  Specified by:
    `commit` in interface `ParticipantServer`
  Parameters:
    `arg0` - The String of the given root.
  Throws:
    `HeurHazardException`
    `HeurMixedException`
    `HeurRollbackException`
    `RollbackException`
    `RemoteException`
  See Also:
    `For more info on the exceptions and return value.`

### commitOnePhase

    public HeuristicMessage[] commitOnePhase(String arg0,
                                             int arg1,
                                             Dictionary arg2)
                                      throws HeurHazardException,
                                             HeurMixedException,
                                             HeurRollbackException,
                                             RollbackException,
                                             RemoteException

  Description copied from interface: `ParticipantServer`
  Perform one-phase commit for the given root.

  Specified by:
    `commitOnePhase` in interface `ParticipantServer`
  Parameters:
    `arg0` - The root id.
    `arg1` - The count of siblings for the given participant.
    `arg2` - The info needed for orphan detection.
  Throws:
    `HeurHazardException`
    `HeurMixedException`
    `HeurRollbackException`
    `RollbackException`
    `RemoteException`

### forget

    public void forget(String arg0)
                throws RemoteException

  Description copied from interface: `ParticipantServer`
  Forget all about a given root.

  Specified by:
    `forget` in interface `ParticipantServer`
  Parameters:
    `arg0` - The root to forget about.
  Throws:
    `RemoteException`

### prepare

    public int prepare(String arg0,
                       int arg1,
                       Dictionary arg2)
                throws HeurHazardException,
                       HeurMixedException,
                       RollbackException,
                       RemoteException

  Description copied from interface: `ParticipantServer`
  Prepare the participant of the given root.

  Specified by:
    `prepare` in interface `ParticipantServer`
  Parameters:
    `arg0` - The root String of the participant.
    `arg1` - The count of siblings for the given participant.
    `arg2` - The list of participants to cascade to, if any.
  Throws:
    `HeurHazardException`
    `HeurMixedException`
    `RollbackException`
    `RemoteException`
  See Also:
    `For more information on the exceptions and return value.`

### rollback

    public HeuristicMessage[] rollback(String arg0)
                                throws HeurCommitException,
                                       HeurHazardException,
                                       HeurMixedException,
                                       RemoteException

  Description copied from interface: `ParticipantServer`
  Rollback the participant for the given root.

  Specified by:
    `rollback` in interface `ParticipantServer`
  Parameters:
    `arg0` - The given root.
  Throws:
    `HeurCommitException`
    `HeurHazardException`
    `HeurMixedException`
    `RemoteException`
  See Also:
    `for more exception info.`

### replayCompletion

    public Boolean replayCompletion(String arg0,
                                    Participant arg1)
                             throws RemoteException

  Description copied from interface: `RecoveryServer`
  Replay completion for given root, on given participant.

  Specified by:
    `replayCompletion` in interface `RecoveryServer`
  Parameters:
    `arg0` - The root.
    `arg1` - The participant.
  Throws:
    `RemoteException` - On remote failure.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.